XmCreateSimpleRadioBox(library call)

NAME
XmCreateSimpleRadioBox — A RowColumn widget convenience creation function

SYNOPSIS

#include <Xm/RowColumn.h>
Widget XmCreateSimpleRadioBox(
Widget parent,
String name,
ArgList arglist,
Cardinal argcount);

DESCRIPTION

XmCreateSimpleRadioBox creates an instance of a RowColumn widget of type XmWORK_AREA and returns the associated widget ID.

This routine creates a RadioBox and its ToggleButtonGadget children. The name of each button is button_n, where n is an integer from 0 (zero) to the number of buttons in the menu minus 1. Buttons are named and created in the order they are specified in the RowColumn simple menu creation resources supplied in the argument list.

parent
    Specifies the parent widget ID

name
    Specifies the name of the created widget

arglist
    Specifies the argument list

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist)

A number of resources exist specifically for use with this and other simple menu creation routines. The only button type allowed in the XmNbuttonType resource is XmRADIOBUTTON. For a complete definition of RowColumn and its associated resources, see XmRowColumn(3).

RETURN

Returns the RowColumn widget ID.

RELATED

XmCreateRadioBox(3), XmCreateRowColumn(3), XmCreateSimpleCheckBox(3), XmRowColumn(3), and XmVaCreateSimpleRadioBox(3).